Bug 1254118 - [RFE] Add option to open jmx to world
[RFE] Add option to open jmx to world
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Yaniv Kaul
Eldad Marciano
: CodeChange, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 04:15 EDT by Alon Bar-Lev
Modified: 2016-02-03 08:49 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 08:49:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.0?
ylavi: planning_ack+
rule-engine: devel_ack+
ylavi: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44901 master MERGED packaging: services: add option to open jmx to world Never
oVirt gerrit 44911 ovirt-engine-3.6 MERGED packaging: services: add option to open jmx to world Never

  None (edit)
Description Alon Bar-Lev 2015-08-17 04:15:36 EDT
Currently opened only to localhost, QA need easy method to open to world.
Comment 1 Sandro Bonazzola 2015-08-17 04:51:09 EDT
Can you detail about why QA needs it?
Comment 2 Alon Bar-Lev 2015-08-17 04:53:26 EDT
(In reply to Sandro Bonazzola from comment #1)
> Can you detail about why QA needs it?

they use monitoring tools that use JMX, now that jmx is integrated within engine aaa, the only missing bit is to enable to expose to world.
Comment 3 Sandro Bonazzola 2015-08-17 07:00:07 EDT
(In reply to Alon Bar-Lev from comment #2)
> (In reply to Sandro Bonazzola from comment #1)
> > Can you detail about why QA needs it?
> 
> they use monitoring tools that use JMX, now that jmx is integrated within
> engine aaa, the only missing bit is to enable to expose to world.

Thanks.
Comment 4 Eldad Marciano 2015-08-17 08:55:00 EDT
+1
Comment 5 Sandro Bonazzola 2015-10-29 08:47:59 EDT
Can you please fill doc text?
Comment 8 Gil Klein 2016-02-03 08:49:53 EST
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.